Xerces-J API: Class SAXParserImpl

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.jaxp
Class SAXParserImpl

    java.lang.Object
      |
      +--javax.xml.parsers.SAXParser
            |
            +--org.apache.xerces.jaxp.SAXParserImpl

public class SAXParserImpl
extends javax.xml.parsers.SAXParser

This is the implementation specific class for the `javax.xml.parsers.SAXParser`.

Method Summary
`Parser` | `getParser()` Returns the SAX parser that is encapsultated by the implementation of this class.
`java.lang.Object` | `getProperty(java.lang.String name)` returns the particular property requested for in the underlying implementation of org.xml.sax.XMLReader.
`XMLReader` | `getXMLReader()` Returns the XMLReader that is encapsulated by the implementation of this class.
`boolean` | `isNamespaceAware()` Indicates whether or not this parser is configured to understand namespaces.
`boolean` | `isValidating()` Indicates whether or not this parser is configured to validate XML documents.
`void` | `setProperty(java.lang.String name, java.lang.Object value)` Sets the particular property in the underlying implementation of org.xml.sax.XMLReader.

Methods inherited from class javax.xml.parsers.SAXParser
`parse, parse, parse, parse, parse, parse, parse, parse, parse, parse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getParser

    public Parser getParser()
                     throws SAXException

  Description copied from class: javax.xml.parsers.SAXParser
  Returns the SAX parser that is encapsultated by the implementation of this class.
  Overrides:
    getParser in class javax.xml.parsers.SAXParser
  Tags copied from class: javax.xml.parsers.SAXParser
  Returns:
    The SAX parser that is encapsultated by the implementation of this class.

### getXMLReader

    public XMLReader getXMLReader()

  Returns the XMLReader that is encapsulated by the implementation of this class.
  Overrides:
    getXMLReader in class javax.xml.parsers.SAXParser
  Tags copied from class: javax.xml.parsers.SAXParser
  Returns:
    The XMLReader that is encapsulated by the implementation of this class.

### isNamespaceAware

    public boolean isNamespaceAware()

  Description copied from class: javax.xml.parsers.SAXParser
  Indicates whether or not this parser is configured to understand namespaces.
  Overrides:
    isNamespaceAware in class javax.xml.parsers.SAXParser
  Tags copied from class: javax.xml.parsers.SAXParser
  Returns:
    true if this parser is configured to understand namespaces; false otherwise.

### isValidating

    public boolean isValidating()

  Description copied from class: javax.xml.parsers.SAXParser
  Indicates whether or not this parser is configured to validate XML documents.
  Overrides:
    isValidating in class javax.xml.parsers.SAXParser
  Tags copied from class: javax.xml.parsers.SAXParser
  Returns:
    true if this parser is configured to validate XML documents; false otherwise.

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.Object value)
                     throws SAXNotRecognizedException,
                            SAXNotSupportedException

  Sets the particular property in the underlying implementation of org.xml.sax.XMLReader.
  Overrides:
    setProperty in class javax.xml.parsers.SAXParser
  Tags copied from class: javax.xml.parsers.SAXParser
  Parameters:
    `name` - The name of the property to be set.
    `value` - The value of the property to be set.
  Throws:
    SAXNotRecognizedException - When the underlying XMLReader does not recognize the property name.
    SAXNotSupportedException - When the underlying XMLReader recognizes the property name but doesn't support the property.
  See Also:
    `XMLReader.setProperty(java.lang.String, java.lang.Object)`

### getProperty

    public java.lang.Object getProperty(java.lang.String name)
                                 throws SAXNotRecognizedException,
                                        SAXNotSupportedException

  returns the particular property requested for in the underlying implementation of org.xml.sax.XMLReader.
  Overrides:
    getProperty in class javax.xml.parsers.SAXParser
  Tags copied from class: javax.xml.parsers.SAXParser
  Parameters:
    `name` - The name of the property to be retrieved.
  Returns:
    Value of the requested property.
  Throws:
    SAXNotRecognizedException - When the underlying XMLReader does not recognize the property name.
    SAXNotSupportedException - When the underlying XMLReader recognizes the property name but doesn't support the property.
  See Also:
    `XMLReader.getProperty(java.lang.String)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache XML Project. All Rights Reserved.